#ifndef TELLIPSECURVESHAPE_P_H
#define TELLIPSECURVESHAPE_P_H

#include "TEllipseCurveShape.h"

namespace graphed {

class TEllipseCurveShapePrivate: public TDataShapePrivate
   {
   public:
      TSettableVar_RF UpdateBoundingRect() const;
      void UpdateR() const;
      bool IsPointsValid() const;

      mutable qreal R;
      mutable int Inverse_flag;
      mutable int State;
      TSettableVar_PF Center;
      TSettableVar_PF Angles;
      TSettableVar_PF FreePoint;
      mutable TSettableVar_RF BoundingRect;

      //variables for dxf ellipse+-arc import support.
      bool __x_set = false;
      bool __y_set = false;
      bool __r_set = false;
      bool __ratio_not_radius_set = false;
      qreal __x_val = 0.;
      qreal __y_val = 0.;

      qreal _rotation_angle = 0.;
      qreal _y_scale = 0.;
   };

}


#endif // TELLIPSECURVESHAPE_P_H
