#ifndef TSHAPEFACTORY_H
#define TSHAPEFACTORY_H

#include "shape/TShape.h"
#include "core/TFactory.h"

namespace graphed {

class TShapeFactory: public TFactory<TShape>
   {
      TShapeFactory();
      ~TShapeFactory();
      static TShapeFactory *Self;
      static bool IAmBeingCreatedNow;
   public:
      static TShapeFactory *Instance(const int Line = 0, const char *File = NULL);
      static void Destroy();
   };

}

#endif // TSHAPEFACTORY_H
