#ifndef TMOVESTRATEGY_H
#define TMOVESTRATEGY_H

#include "tools/TInteractionStrategy.h"

class QPointF;
namespace graphed {

class TMoveStrategy: public TInteractionStrategy
{
    TPointFList OldPositions;

    virtual void CancelInteraction();
    virtual void handleMouseMove(TMouseEvent *e);
public:
    TMoveStrategy(const TCanvasQP c, TMouseEvent *e);
    virtual ~TMoveStrategy();
    static QCursor Cursor() { return Qt::SizeAllCursor; }
};

}
#endif // TMOVESTRATEGY_H
