#ifndef TROTATESTRATEGY_H
#define TROTATESTRATEGY_H

#include "tools/TInteractionStrategy.h"

namespace graphed {

class TRotateStrategy: public TInteractionStrategy
{
    QList<QTransform> OldTransforms;
    QLineF InitialLine;
    QPointF Center;

    virtual void handleMouseMove(TMouseEvent *e);
public:
    TRotateStrategy(const TCanvasQP c, TMouseEvent *e);
    static QCursor Cursor() { return QCursor(); }

};

}

#endif // TROTATESTRATEGY_H
