#ifndef TEllipseCurveTool_H
#define TEllipseCurveTool_H

#include "TTool.h"
#include "shape/TEllipseCurveShape.h"
#include <QPainterPath>

namespace graphed {

class TEllipseCurveTool: public TTool
{
    TEllipseCurveShapeSP Shape;

    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void Deactivate();
public:
    static QString ToolName() { return "TEllipseCurveTool"; }
    TEllipseCurveTool(TCanvas *c);
};

}

#endif // TEllipseCurveTool_H
