#ifndef TELLIPSETOOL_H
#define TELLIPSETOOL_H

#include "TTool.h"
#include "shape/TEllipseShape.h"

namespace graphed {

class TEllipseTool: public TTool
{
    TEllipseShapeSP Shape;

    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void Deactivate();
public:
    static QString ToolName() { return "TEllipseTool"; }
    TEllipseTool(TCanvas *c);
};

}

#endif // TELLIPSETOOL_H
