#ifndef TLINETOOL_H
#define TLINETOOL_H

#include "TTool.h"
#include "shape/TLinesShape.h"

namespace graphed {

class TLineTool: public TTool
{
    TLinesShapeSP Shape;
    void FinishShape();

    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void Deactivate();
public:
    static QString ToolName() { return "TLineTool"; }
    TLineTool(TCanvas *c);
};

}

#endif // TLINETOOL_H
