#ifndef TPointTOOL_H
#define TPointTOOL_H

#include "TTool.h"
#include "shape/TPointShape.h"

namespace graphed {

class TPointTool: public TTool
{
    TPointShapeSP Shape;

    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void Deactivate();
public:
    static QString ToolName() { return "TPointTool"; }
    TPointTool(TCanvas *c);
};

}

#endif // TPointTOOL_H
