#ifndef TRECTTOOL_H
#define TRECTTOOL_H

#include "TTool.h"
#include "shape/TRectShape.h"

namespace graphed {

class TRectTool: public TTool
{
    TRectShapeSP Shape;

    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void Deactivate();
public:
    static QString ToolName() { return "TRectTool"; }
    TRectTool(TCanvas *c);
};

}

#endif // TRECTTOOL_H
