#include "TTool.h"

#include <QDebug>


namespace graphed {

void TTool::paint(QPainter *p, TShapeSP Shape, const TConversionBase *Convert)
{
    if (Shape)
    {
        p->save();
        TShape::ApplyConversion(p, Convert);
        Shape->paint(p, Convert);
        p->restore();
    }
}
void TTool::on_ToolButton_clicked(bool Clicked)
{
    if (Clicked && !objectName().isEmpty()) emit ToolActivated(objectName());
    else qDebug() << "tool button was pressed but Clicked && !objectName().isEmpty() == false";
}

}
