#ifndef TCONVERSION_P_H
#define TCONVERSION_P_H

#include "TConversionBase_p.h"
#include "TConversion.h"
#include "shape/ShapeManager.h"
#include "core/core.h"
#include <QRectF>

namespace graphed {

class TConversionPrivate: public TConversionBasePrivate
   {
      Q_DECLARE_PUBLIC(TConversion);
   public:
      TConversionPrivate();
      virtual ~TConversionPrivate() { }
      void InvalidateCache();
      QRectF UpdateGlobalBoundingRect() const;

      mutable TSettableVar_RF GlobalBoundingRect;
   };

}

#endif // TCONVERSION_P_H
