#ifndef TRULER_H
#define TRULER_H

#include "core/core.h"
#include <qwt_scale_widget.h>

namespace graphed {

class TRulerPrivate;
class TRuler: public QwtScaleWidget
   {
      QTPIMPL_PRIVATE(TRuler)
   public:
      TRuler(QwtScaleDraw::Alignment Align);
      qreal min() const;
      qreal max() const;
      void setTitle(const QString &Text);
      void setRange(const qreal Min, const qreal Max);
   };

}

#endif // TRULER_H
