#ifndef TCONVERTOR_H
#define TCONVERTOR_H

#include <QColor>

namespace graphed {
namespace out {

class TVoltColourConvertor
   {
      static const unsigned int MaxChannelVal = 255;
   public:
      static const int MaxVoltage = 10;
      static const int MinVoltage = -10;

      static qreal Colour2Voltage(const QRgb &Colour, const qreal MinV, const qreal MaxV);
      static QColor Voltage2Colour(const qreal V1, const qreal MinV, const qreal MaxV);

   };

}
}

#endif // TCONVERTOR_H
