#ifndef TLINESSHAPE_P_H
#define TLINESSHAPE_P_H

#include "TLinesShape.h"

namespace graphed {

class TLinesShapePrivate: public TDataShapePrivate
   {
   public:
      TSettableVar_RF UpdateBoundingRect() const;
      void UpdateBoundingRect(QRectF &r, const QPointF &PF) const;

      TPointFList Points;
      TSettableVar_PF FreePoint;
      mutable TSettableVar_RF BoundingRect;
      qint32 points_count = 0;
      bool closed_spline = false;

      //variables for dxf import support.
      bool __x_set = false;
      bool __y_set = false;
      qreal __x_val = 0.;
      qreal __y_val = 0.;
   };

}

#endif // TLINESSHAPE_P_H
