#ifndef TAPPLYTOOL_H
#define TAPPLYTOOL_H

#include "TTool.h"
#include "out/TResults.h"

namespace graphed {

class TApplyToolPrivate;
class TApplyTool: public TTool
{
    TApplyToolPrivate *child;

public:
    virtual void Activate();
    static QString ToolName() { return "TApplyTool"; }
    TApplyTool(TCanvas *c);
    ~TApplyTool();
    const out::TResultsList &ResultsList() const;
    void ClearResults();
};



}

#endif // TAPPLYTOOL_H
