#ifndef TINTERACTIONTOOL_H
#define TINTERACTIONTOOL_H
#include "TTool.h"

namespace graphed {

class TInteractionStrategy;
class TInteractionTool: public TTool
{
protected:
    virtual void keyReleaseEvent(QKeyEvent *e);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseReleaseEvent(TMouseEvent *e);
    virtual void paint(QPainter *p, const TConversionBase *Convert);

    TInteractionStrategy *CurrentStrategy;
    virtual TInteractionStrategy *CreateStrategy(TMouseEvent *e) const = 0;

public:
    TInteractionTool(TCanvas *c);
};


}

#endif // TINTERACTIONTOOL_H
