#ifndef TPosTool_H
#define TPosTool_H

#include "TTool.h"
#include "out/TResults.h"

namespace graphed {

class TPosTool: public TTool
{
    TSettableVar_PF Pos;
    bool press;

    virtual void Activate();
    virtual void Deactivate();
    virtual void paint(QPainter *p, const TConversionBase *Convert);
    virtual void mousePressEvent(TMouseEvent *e);
    virtual void mouseMoveEvent(TMouseEvent *e);
    virtual void mouseReleaseEvent(TMouseEvent *e);
public:
    static QString ToolName() { return "TPosTool"; }
    TPosTool(TCanvas *c);
    void SetPos(QPointF pos);
};

}

#endif // TPosTool_H
