#ifndef TWMISC_H
#define TWMISC_H

#include <QWidget>
#include "core/core.h"
#include "TWProperties.h"

class QComboBox;

namespace graphed {

class TCheckableButton;
class TWMiscPrivate;
class TWMisc: public QWidget
   {
      Q_OBJECT
      QTPIMPL_PRIVATE(TWMisc)
      Q_PRIVATE_SLOT(d_func(), void _q_on_XYPoints_activated(const QString &));
   public slots:
      void on_BSave_clicked();
      void on_BOpen_clicked();

   public:
      TWMisc(QWidget *parent = 0);
      ~TWMisc();
      void SetLocked(const bool Lock);
      QString fileName;
   };

}

#endif // TWMISC_H
