#ifndef TWPROPERTIES_H
#define TWPROPERTIES_H

#include <QWidget>
#include "out/TResults.h"
#include <QGroupBox>

class DoubleChanger;

namespace graphed {

class TWPropertiesPrivate;
class TWProperties: public QWidget
{
    Q_OBJECT
    QTPIMPL_PRIVATE(TWProperties)
    Q_PRIVATE_SLOT(d_func(), void _q_on_SelectionChanged())
    Q_PRIVATE_SLOT(d_func(), void _q_on_VtSlider_valueChanged(double ))
    Q_PRIVATE_SLOT(d_func(), void _q_on_LEdSSpeed_valueChanged(double ))

    public:
        TWProperties(QWidget *parent = 0);

    void setForceLithName();
    void setVoltLithName();
    void setLaserMode();

    DoubleChanger *getSpeedSlider();
};

}

#endif // TWPROPERTIES_H
