#ifndef TWTOOLBOX_H
#define TWTOOLBOX_H
#include <QWidget>
#include <QVBoxLayout>
#include <QButtonGroup>
#include <QGroupBox>
#include "core/core.h"

namespace graphed {

class TWToolBox: public QWidget
{
    Q_OBJECT

public slots:
    void selectAll();
    void on_BClear_clicked();
    void BSetScale_clicked();
    void BRestoreScale_clicked();

public:
    TWToolBox(QWidget *parent = 0);
    void SetLocked(const bool Lock);

    QVector<QWidget *> blist;
    QRectF fullrect;
    bool is_rect_set;
};

}

#endif // TWTOOLBOX_H
